{
    attributes = (
        {
            columnName = "IMTT_ID"; 
            externalType = NUMBER; 
            name = imttId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "IMTT_CODE"; 
            externalType = VARCHAR2; 
            name = imttCode; 
            valueClassName = NSString; 
            valueType = s; 
            width = 30; 
        }, 
        {
            columnName = "IMTT_LIBELLE"; 
            externalType = VARCHAR2; 
            name = imttLibelle; 
            valueClassName = NSString; 
            valueType = s; 
            width = 250; 
        }, 
        {
            columnName = "IMTT_DEBUT"; 
            externalType = DATE; 
            name = imttDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IMTT_FIN"; 
            externalType = DATE; 
            name = imttFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }
    ); 
    attributesUsedForLocking = (imttId, imttCode); 
    className = "org.cocktail.jefyadmin.server.metier.EOImTypeTaux"; 
    classProperties = (imttCode, imttLibelle, imttDebut, imttFin); 
    externalName = "JEFY_ADMIN.IM_TYPE_TAUX"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (imttCode, imttLibelle, imttDebut, imttFin); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOImTypeTaux"; 
    }; 
    name = ImTypeTaux; 
    primaryKeyAttributes = (imttId); 
}
